Debian Bug report logs - #473831
aswiki: recommends packages not in main

version graph

Package: aswiki; Maintainer for aswiki is TANIGUCHI Takaki <takaki@debian.org>; Source for aswiki is src:aswiki.

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 21:36:05 UTC

Severity: important

Tags: patch

Merged with 439545

Found in version aswiki/1.0.4-4

Fixed in version aswiki/1.0.4-5

Done: Taku YASUI <tach@debian.or.jp>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, TANIGUCHI Takaki <takaki@assist.media.nagoya-u.ac.jp>:
Bug#473831; Package aswiki. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to TANIGUCHI Takaki <takaki@assist.media.nagoya-u.ac.jp>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: aswiki: recommends packages not in main
Date: Tue, 1 Apr 2008 23:36:54 +0200
[Message part 1 (text/plain, inline)]
Package: aswiki
Version: 1.0.4-4
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU aswiki, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my aswiki 1.0.4-4.1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[aswiki-1.0.4-4.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, TANIGUCHI Takaki <takaki@assist.media.nagoya-u.ac.jp>:
Bug#473831; Package aswiki. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to TANIGUCHI Takaki <takaki@assist.media.nagoya-u.ac.jp>. Full text and rfc822 format available.

Message #10 received at 473831@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: 473832@bugs.debian.org, 473839@bugs.debian.org, 473836@bugs.debian.org, 473835@bugs.debian.org, 473844@bugs.debian.org, 473842@bugs.debian.org, 473834@bugs.debian.org, 473833@bugs.debian.org, 473829@bugs.debian.org, 473831@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Wed, 2 Apr 2008 01:37:35 +0200
Hey Mark!

First of all, thanks for your fast upload. You too, Mr Marillat!

Mark Brown wrote:
>  - File the actual bug, not your intention to NMU (ie, include the bug
>    report in the body of the bug rather than burying it in the patch).

Yes you are very right. I will change my wording.

>  - Provide some way for people to get information about this like
>    putting a list of affected packages on a web page and announcing it.
>    This would help avoid the need for an NMU campaign in the first
>    place.

That is work in progress. I am working on a wiki page, it will be ready
tomorrow. So far, I can only point you to:
    http://release.debian.org/lenny/goals.txt
    http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-release@lists.debian.org&tag=goal-recommends
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    http://lists.debian.org/debian-qa/2008/04/msg00007.html (and
    answers).

The wiki page will group all this already available information so that
this is easier to track for everyone.

This is not an NMU campaign. I will definitely change the wording.
My original intention was to submit bug+patch, as agreed with Luk:
    <luk> amaya:
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in unstable) and
    http://qa.debian.org/debcheck.php?dist=lenny&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in testing)
    <amaya> luk: so what to do about these? should I file bugs?
    <luk> yes, file with the appropriate version if not already
    reported at least for the sid ones, identifying the lenny ones that
    are fixed in sid for extra bonus points :-)
    <amaya> luk: i see a lot of those will be fixed when my nmus leave
    the delayed queue
    <luk> great
    <amaya> luk: I will take a look and file appropriate bugs with
    patches, and nmu threats ;)
    <luk> even better!

I think we were both joking about nmus there. Sorry about the tone of my
bug report. I am Cc:ing the rest of maintainers that got this tasteless
report, so that they also forgive me.

> My first reponse to this was "WTF?  I only uploaded this yesterday and
> there weren't any bugs.", especially given that the report jumped right
> to "I'm about to NMU", skipping over what the actual problem was.

Well, no. I clearly said I would wait for two weeks for your response.
And *then* 7 more days in DELAYED. Mainly because some recommends have
become obsolete and I am not sure about the right replacements. I am
seeking actual advice, input, wisdom, from maintainers here :)

But you are right. I am sorry it came accross this way.

Thanks for your help! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Forcibly Merged 439545 473831. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Thu, 01 May 2008 14:21:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 20:06:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Taku YASUI <tach@debian.or.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 473831-close@bugs.debian.org (full text, mbox):

From: Taku YASUI <tach@debian.or.jp>
To: 473831-close@bugs.debian.org
Subject: Bug#473831: fixed in aswiki 1.0.4-5
Date: Thu, 19 Jun 2008 19:24:56 +0000
Source: aswiki
Source-Version: 1.0.4-5

We believe that the bug you reported is fixed in the latest version of
aswiki, which is due to be installed in the Debian FTP archive:

aswiki_1.0.4-5.diff.gz
  to pool/main/a/aswiki/aswiki_1.0.4-5.diff.gz
aswiki_1.0.4-5.dsc
  to pool/main/a/aswiki/aswiki_1.0.4-5.dsc
aswiki_1.0.4-5_all.deb
  to pool/main/a/aswiki/aswiki_1.0.4-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Taku YASUI <tach@debian.or.jp> (supplier of updated aswiki package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Jun 2008 23:23:15 +0900
Source: aswiki
Binary: aswiki
Architecture: source all
Version: 1.0.4-5
Distribution: unstable
Urgency: low
Maintainer: TANIGUCHI Takaki <takaki@assist.media.nagoya-u.ac.jp>
Changed-By: Taku YASUI <tach@debian.or.jp>
Description: 
 aswiki     - WikiWikiWeb clone (Wiki Engine) written in Ruby
Closes: 390530 439545 473831
Changes: 
 aswiki (1.0.4-5) unstable; urgency=low
 .
   * Modify and upload by sponsor uploader
   * Recommend libdb4.4-ruby1.8 as libdb3-ruby1.8 is no longer available
     (closes: #439545, #473831)
   * Fix package description (closes: #390530)
   * Change Standards-Version: to 3.7.3
   * Add copyright notice and fix license phrase at debian/copyright
   * Fix to remove DH_COMPAT from debian/rules and add debian/compat file
   * Move dh_ commands from binary-arch to binary-indep at debian/rules
Checksums-Sha1: 
 79a0bc1cb8383f699cc687040ee00b98b09c934f 988 aswiki_1.0.4-5.dsc
 eac843a8a7fcc9fd7f93e098bc2fb14d91f3aa68 3710 aswiki_1.0.4-5.diff.gz
 faf5469e0728d174b3f39c4c8c8da3b19b352f50 34470 aswiki_1.0.4-5_all.deb
Checksums-Sha256: 
 68b965c36dd10857ee3baa9e6f7871862bad8fb6aca46fcc3829ff1bcdc38a46 988 aswiki_1.0.4-5.dsc
 bf979d8654f3eb780fb652ab0d60e6245ff38e1193f0b680e1cd22ac5b244cfc 3710 aswiki_1.0.4-5.diff.gz
 efe74c6a902150320444a51cb73077fa5e2d0279533e205eb3772bfbc5c20973 34470 aswiki_1.0.4-5_all.deb
Files: 
 f849a81526c22a3fd79353196bed68bc 988 web optional aswiki_1.0.4-5.dsc
 f673f515869d1a4bdd249025f280be5a 3710 web optional aswiki_1.0.4-5.diff.gz
 12197c9b52dc1bb62d433c2181e67337 34470 web optional aswiki_1.0.4-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIS+uLFwU5DuZsm7ARArryAKCa+3grDtetpfrd/kD3cjOhx+UDSQCgg5ND
TX3xBQ+qAR2tJDqj4fG5yKo=
=xRJs
-----END PGP SIGNATURE-----





Reply sent to Taku YASUI <tach@debian.or.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to rodrigo@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Jul 2008 07:30:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:48:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.